!!  RotCig
!
!
!%

program RotCig

  use sep
  use rotcig_types
  use RotCig_mod

  implicit none

  interface 
     subroutine param_rotcig(rotcig_par)
       use rotcig_types
       type (rotcig_param_type) rotcig_par
     end subroutine param_rotcig
  end interface
 

  type (rotcig_param_type) rotcig_par
  logical adj,add
  integer stat
  character(len=128) tag_data,tag_mod
  integer            :: omp_get_num_threads

  call initpar()

  call from_param('add',add,.false.)
  call from_param('adj',adj,.false.)

  call param_rotcig(rotcig_par)

  stat=RotCig_init(rotcig_par)
  stat=RotCig_oper(rotcig_par)

      write(0,*)'after init status=',stat

!!$OMP PARALLEL
!!  write(0,*)'In Main: n_threads =',omp_get_num_threads()
!!$OMP END PARALLEL

  stop	

end program RotCig
