module rotcig_types

type rotcig_param_type 
   character(len=128) :: tag_cig_hx,tag_cig_hz,tag_cig_hdip,tag_cig_hrot
   character(len=128) :: tag_cig_hx_rot,tag_cig_hz_rot
   character(len=128) :: tag_cig_hdip_transf
   character(len=128) :: tag_cig_hpar_transf,tag_cig_hpar
   logical verb,debug1,debug2,linear_interp,create_cig_hpar,no_h_mapping
   logical cig_hx,cig_hz,cig_hdip,cig_hrot
   integer n_threads,max_memory
   integer n_z,n_z_pad,n_mx,n_mx_pad,n_hx,n_hz,n_hdip,n_hrot,n_hpar
   real inp_dip_center
   real out_dip_center,out_dip_range
   real rot_center_z,rot_center_mx
   real d_z,d_mx,d_hx,d_hz,d_hdip,d_hrot,d_hpar
   real z_0,mx_0,hx_0,hz_0,hdip_0,hrot_0,hpar_0
end type rotcig_param_type 

end module rotcig_types

